################################################################
#
#   Assembly Line - Marketing report
#
################################################################

from report import ReportTableView, TC
from format import format_dollars
from game import game
from product_view import ProductTableBase
from imath import iround

class MarketingReport(ProductTableBase, ReportTableView):

	title = "Market Survey"

	columns = [
		TC("Product",               130, 'l'),
		TC("Price",                  60, 'r', format_dollars),
		TC("Interested",            110, 'r'),
		TC("Uninterested",          120, 'r'),
		TC("Undecided",             110, 'r'),
		TC("Rec",                    60, 'r'),
		TC("Not Rec",                70, 'r'),
	]
	
	def row_data(self, n):
		product, h = self.product_and_history_no(n)
		return (
			product.title,
			h.current_price,
			h.prospective_customers,
			h.unprospective_customers,
			h.potential_market,
			iround(h.positive_reputation),
			iround(h.negative_reputation),
		)
